aboutsummaryrefslogtreecommitdiffstats
path: root/eclipse
diff options
context:
space:
mode:
authorSiva Velusamy <vsiva@google.com>2014-05-09 14:30:51 -0700
committerSiva Velusamy <vsiva@google.com>2014-05-09 14:39:18 -0700
commitae05fd0a025f93a351d6ca89998f582b21ddd0fb (patch)
treef22ac4ac97ab2a88bdc6920d742d17338bfce6d5 /eclipse
parent16141b25f755d93333d6280e184eb0652be311f9 (diff)
downloadsdk-ae05fd0a025f93a351d6ca89998f582b21ddd0fb.zip
sdk-ae05fd0a025f93a351d6ca89998f582b21ddd0fb.tar.gz
sdk-ae05fd0a025f93a351d6ca89998f582b21ddd0fb.tar.bz2
Build script for ADT that will be invoked by the build server
This script will be invoked by the build server. It should eventually build the plugins and the ADT bundle and drop them in the dist folder provided to it as an argument. Change-Id: Ia5cd53ee50700e69c67a76dea3d8701e2fbb76cf
Diffstat (limited to 'eclipse')
-rwxr-xr-xeclipse/scripts/build_adt.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/eclipse/scripts/build_adt.sh b/eclipse/scripts/build_adt.sh
new file mode 100755
index 0000000..ea32247
--- /dev/null
+++ b/eclipse/scripts/build_adt.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Expected arguments:
+# $1 = out_dir
+# $2 = dist_dir
+# $3 = build_number
+
+PROG_DIR=$(dirname "$0")
+
+function die() {
+ echo "$*" > /dev/stderr
+ echo "Usage: $0 <out_dir> <dest_dir> <build_number>" > /dev/stderr
+ exit 1
+}
+
+while [[ -n "$1" ]]; do
+ if [[ -z "$OUT" ]]; then
+ OUT="$1"
+ elif [[ -z "$DIST" ]]; then
+ DIST="$1"
+ elif [[ -z "$BNUM" ]]; then
+ BNUM="$1"
+ else
+ die "[$0] Unknown parameter: $1"
+ fi
+ shift
+done
+
+if [[ -z "$OUT" ]]; then die "## Error: Missing out folder"; fi
+if [[ -z "$DIST" ]]; then die "## Error: Missing destination folder"; fi
+if [[ -z "$BNUM" ]]; then die "## Error: Missing build number"; fi
+
+cd "$PROG_DIR"
+
+## TODO: Invoke Maven Tycho build here
+
+echo "## Copying ADT plugins and bundle into destination folder"
+echo "Temporary artifact until Tycho is enabled" > "$DIST"/temporary-artifact.txt